function get_datatable_language_strings()
{
	return {
		    "emptyTable": "No data available in table",
			"lengthMenu": "Show _MENU_ entries",
			"info": 'Showing page _PAGE_ of _PAGES_',
			"infoEmpty": 'Showing 0 to 0 of 0 entries',
			"infoFiltered": '(filtered from _MAX_ total entries)',
			"loadingRecords": 'Loading...',
			"processing": 'Processing...',
			"search": 'Search:',
			"emptyTable": 'No data available in table',
			"zeroRecords": 'No records available',
			"paginate": {
			        "first":      'First',
			        "last":       "Last",
			        "next":       "Next",
			        "previous":   "Previous",
			    },			
	    };	
}

jQuery(document).ready(function(){
    var table_tmp_obj = jQuery('#adminlist').DataTable({
        pageLength: 25,
        responsive: true,
        "order": [[5, "asc" ]],
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 0 ] } ],
        "language": get_datatable_language_strings(),
    });

    //code to add search box for all columns
    jQuery('#adminlist tfoot th').each( function () {    	
    	if(jQuery(this).index() == '0' )
    	{
	        var title = jQuery(this).text();
	        jQuery(this).html('');						
		}
    	else
    	{
	        var title = jQuery(this).text();
	        jQuery(this).html( '<input type="text" class="form-control" name="column['+jQuery(this).index()+']" placeholder="" />' );			
		}
    } );     

    

	//search code for list
	table_tmp_obj.columns().every(function() {
	    var that = this;
	    jQuery('input', this.footer()).on('keyup', function(e) {
	        that.search(this.value).draw();
	    });

	    jQuery('select', this.footer()).on('change', function(e) {
	        that.search(this.value).draw();
	    });
	});      
});



function get_search(datatable) {
    var result = [];
    datatable.find('tfoot').find('input, select').each(function() {
        result.push([jQuery(this).attr('name'), jQuery(this).val()]);
    });
    return result;
}

