<?php

add_action('admin_post_nopriv_tennisthor_tournaments_hook','the_tennisthor_tournaments_hook_callback');
add_action('admin_post_tennisthor_tournaments_hook','the_tennisthor_tournaments_hook_callback');
if(!function_exists('the_tennisthor_tournaments_hook_callback'))
{
function the_tennisthor_tournaments_hook_callback()
{
	global $tennis_club_id, $tennis_token, $enc_tennis_club_id;
	if(trim($tennis_club_id) == "")
		return false;

	$page_option = get_option('tennisthor_tournament_detail_page');
	$page = get_page($page_option);
	$detail_page_link = get_page_link($page);	
		
	$body = $_POST;	
	$body['tennisthor_club_id'] = $tennis_club_id;
	$body['tennisthor_detail_link'] = $detail_page_link;

	$body = recursive_sanitize_text_field($body);	
	$response = wp_remote_get('https://www.tennisthor.com/api/apitournament/index', array(
	    'body'    => $body,
	    'headers' => array('USER-TOKEN' => $tennis_token, 'USER-CLUB' => $enc_tennis_club_id),
	) );	

	if($response['response']['code'] == 200)
	{			
		$body = $response['body'];
		echo $body;			
	}
}
}

if (!is_admin()) 
{

	add_shortcode( 'tennisthor_tournaments', 'tennisthor_tournaments_shortcode' );
	if(!function_exists('tennisthor_tournaments_shortcode'))
	{	
	function tennisthor_tournaments_shortcode() 
	{
		if(strpos($_SERVER['REQUEST_URI'], 'wp-json/') != "")
		{
			return '';
		}		
		global $tennis_club_id, $tennis_token, $enc_tennis_club_id;
		if(trim($tennis_club_id) == "")
			return false;
		
		//wp_enqueue_style('tennis-tour0', 'https://club1.tennisthor.com/assets/css/bootstrap.min.css');	
		//wp_enqueue_style('tennis-tour101', 'https://club1.tennisthor.com/assets/font-awesome/css/font-awesome.min.css');	

		wp_enqueue_style('tennis-tour1', plugins_url('../assets/css/dataTables/datatables.min.css',__FILE__));	
		wp_enqueue_script('tour-js-1', plugins_url('../assets/js/dataTables/datatables.min.js',__FILE__));	
		wp_enqueue_script('tour-js-2', plugins_url('../assets/js/tournament-list.js',__FILE__));
		?>
		<div class="table-responsive tourlists">
		    <table id="adminlist" class="row-border">
		    	<thead>
		    		<th>Turnament</th>
		    		<th>Sport</th>
		    		<th>Type Game</th>
		    		<th>Club</th>
		    		<th>Start</th>
		    		<th>Max players</th>
		    		<th>Registered players</th>
		    		<th>Age</th>
		    		<th>Tax</th>
		    		<th>Country</th>
		    		<th>City</th>
		    		<th>Action</th>
		    	</thead>
		        <tfoot>
		            <tr>					                    
						<th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		                <th></th>
		            </tr>
		        </tfoot>                                	
		        <tbody>
		        </tbody>
		    </table>
		</div>	
		
		<script>
			var enc_club_id = '<?php echo $enc_tennis_club_id; ?>';
		</script>
		<?php
	}
	}

}
?>